Bug 158393 - devel/monotone: upgrade to 1.0
Summary: devel/monotone: upgrade to 1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Julien Laffaye
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-28 16:00 UTC by Guido Falsi
Modified: 2011-06-30 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.93 KB, patch)
2011-06-28 16:00 UTC, Guido Falsi
no flags Details | Diff
mtn.diff (3.06 KB, patch)
2011-06-29 01:14 UTC, Guido Falsi
no flags Details | Diff
mtn.diff (3.60 KB, patch)
2011-06-29 08:47 UTC, Guido Falsi
no flags Details | Diff
mtn.diff (3.60 KB, patch)
2011-06-29 08:53 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2011-06-28 16:00:18 UTC
Upgrade devel/monotone to 1.0.

Also make portlint happy about the order of LICENSE and DEPENDS.
Comment 1 Edwin Groothuis freebsd_committer 2011-06-28 16:00:35 UTC
Maintainer of devel/monotone,

Please note that PR ports/158393 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158393

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-06-28 16:00:38 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Guido Falsi freebsd_committer 2011-06-29 01:14:19 UTC
Here is a revised patch which does not leave things around in the 
NOPORTDOCS and NO_INSTALL_MANPAGES cases.

-- 
Guido Falsi <mad@madpilot.net>
Comment 4 Guido Falsi freebsd_committer 2011-06-29 08:47:20 UTC
Previous patch was wrong.

Attaching correct final patch, Sorry for the noise.

-- 
Guido Falsi <mad@madpilot.net>
Comment 5 Guido Falsi freebsd_committer 2011-06-29 08:53:04 UTC
Corrected a whitespace error. New patch following.

-- 
Guido Falsi <mad@madpilot.net>
Comment 6 Lapo Luchini 2011-06-29 08:58:13 UTC
Latest patch works ok for me, and leaves no file behind.
Comment 7 Julien Laffaye freebsd_committer 2011-06-29 18:43:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jlaffaye

I'll take it.
Comment 8 dfilter service freebsd_committer 2011-06-30 13:03:38 UTC
jlaffaye    2011-06-30 12:03:22 UTC

  FreeBSD ports repository

  Modified files:
    devel/monotone       Makefile distinfo 
  Log:
  Update to 1.0
  
  PR:             ports/158393
  Submitted by:   Guido Falsi <mad@madpilot.net>
  Approved by:    Lapo Luchini <lapo@lapo.it> (maintainer), rene (mentor vacation)
  
  Revision  Changes    Path
  1.52      +32 -13    ports/devel/monotone/Makefile
  1.32      +2 -2      ports/devel/monotone/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Julien Laffaye freebsd_committer 2011-06-30 13:05:58 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!